#include <xc.h>

// Pin wo an WO?
// LED1 -> pin RC0 ... bsp.
// Speaker -> RC2 in PWM mode 

void hardware_init(void){
     
    // First, we'll do the hardware initialization
    // Internal oscillator configuration to 16MHz
    OSCTUNEbits.INTSRC = 1; // Select the internal HF oscillator
    OSCTUNEbits.PLLEN = 1; // Turn PLL on, this means: 4 times more frequency
    OSCCONbits.IRCF = 7; // Select 16Mhz
    
    // I/O configuration
    LATA = 0xFF; // Port A is used for my LEDs (against +5V), so we set Port A to high (hexwert berechnen um nur die benoetigten Ports anzuschalten...)
    TRISA = 0x00; // Set them output to use them
    
    LATB = 0x00; // Port B is used for the input buttons, so there is no output
    TRISB = 0x3F; // Set RB0 up to RB5 as input
    WPUB = 0x3F; // enable the internal pull-up resistors for RB0-5
    INTCON2bits.RBPU = 0; // Enable the pull-up resistors in general
    
    LATC = 0b01000110; // The Buzzer on RC2, and both LEDs on RC1 and RC6 are set to high - due: LEDs are active in low state 
    TRISC = 0x00; // No inputs in Port C
    
    
    
   
}

