#include <xc.h>

// Timer con

void timer_init(void){
    
    // For the first tests, we'll need a Timer, so I decided to use Timer0
    // This methode is slower instead of using a single hex or binary value to initialize the timer (8 write commands instead of 1, -> 8 times slower)
    // Here is the configuration... 
    
    T0CONbits.TMR0ON = 1; // Start timer - at the end. 
    T0CONbits.T08BIT = 0; // Set to 16bit mode
    T0CONbits.T0CS = 0; // internal clock = 16MHz (will be devided through prescaler)
    T0CONbits.T0SE = 0; // does not matter this time
    T0CONbits.PSA = 0; // Set prescaler on 
    T0CONbits.T0PS = 7; // Set prescaler to 1:256 -> clock input is 62.5kHz

    
    // Interrupt initialization
    INTCONbits.INT0IE = 1; // enable Timer0 interrupt
    
    RCONbits.IPEN = 0; // switch off interrupt priorities
    INTCONbits.GIE = 1; // switch on interrupts
    INTCONbits.PEIE = 1; // switch on peripheral interrupts
}
